Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 766935 - x11-libs/xapps-2.0.6 fails to compile with dev-lang/python-exec[-native-symlinks]
Summary: x11-libs/xapps-2.0.6 fails to compile with dev-lang/python-exec[-native-symli...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Matthew Turnbull
URL:
Whiteboard:
Keywords: PullRequest
Depends on:
Blocks: 762406
  Show dependency tree
 
Reported: 2021-01-24 20:32 UTC by Agostino Sarubbo
Modified: 2021-06-12 05:41 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,18.39 KB, text/plain)
2021-01-24 20:32 UTC, Agostino Sarubbo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2021-01-24 20:32:05 UTC
https://blogs.gentoo.org/ago/2020/07/04/gentoo-tinderbox/

Issue: x11-libs/xapps-2.0.6 fails to compile with dev-lang/python-exec[-native-symlinks].
Discovered on: amd64 (internal ref: ci)

NOTE:
Please take a look at the tracker bug for more info.
Comment 1 Agostino Sarubbo gentoo-dev 2021-01-24 20:32:08 UTC
Created attachment 684504 [details]
build.log

build log and emerge --info
Comment 2 Agostino Sarubbo gentoo-dev 2021-01-24 20:32:10 UTC
Possible context of error(s):

/usr/bin/env: ‘python3’: No such file or directory
Comment 3 Matthew Turnbull 2021-01-24 23:40:22 UTC
If this cropped up specifically with xapps-2.0.6 it might have something to do with switching from using $PYTHON to $EPYTHON inside of a python_foreach_impl callback.
Comment 4 Matthew Turnbull 2021-01-25 08:18:32 UTC
This error is actually being caused by some meson executed build helper scripts. I'll get this fixed in my next round of cinnamon updates (currently WIP).
Comment 5 Larry the Git Cow gentoo-dev 2021-03-01 13:02:53 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=52ecc1587c52dd839887eff8df917f395503e2c8

commit 52ecc1587c52dd839887eff8df917f395503e2c8
Author:     Matthew S. Turnbull <sparky@bluefang-logic.com>
AuthorDate: 2021-01-27 04:09:24 +0000
Commit:     Joonas Niilola <juippis@gentoo.org>
CommitDate: 2021-03-01 13:02:44 +0000

    gnome-extra/cinnamon-settings-daemon: Fix meson script shebangs
    
    Also, xdg_src_prepare is handled by EAPI-7.
    
    Bug: https://bugs.gentoo.org/766935
    Package-Manager: Portage-3.0.13, Repoman-3.0.2
    Signed-off-by: Matthew S. Turnbull <sparky@bluefang-logic.com>
    Closes: https://github.com/gentoo/gentoo/pull/19233
    Signed-off-by: Joonas Niilola <juippis@gentoo.org>

 .../cinnamon-settings-daemon-4.8.5.ebuild                      | 10 +++++++++-
 1 file changed, 9 insertions(+), 1 deletion(-)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e6a952bb2af295a8ea942a86305193f183e2b22d

commit e6a952bb2af295a8ea942a86305193f183e2b22d
Author:     Matthew S. Turnbull <sparky@bluefang-logic.com>
AuthorDate: 2021-01-27 04:07:50 +0000
Commit:     Joonas Niilola <juippis@gentoo.org>
CommitDate: 2021-03-01 13:02:44 +0000

    gnome-extra/nemo: Fix meson script shebangs
    
    Also, xdg_environment_reset is handled by EAPI-7.
    
    Bug: https://bugs.gentoo.org/766935
    Package-Manager: Portage-3.0.13, Repoman-3.0.2
    Signed-off-by: Matthew S. Turnbull <sparky@bluefang-logic.com>
    Signed-off-by: Joonas Niilola <juippis@gentoo.org>

 gnome-extra/nemo/nemo-4.6.5.ebuild | 3 +--
 gnome-extra/nemo/nemo-4.8.4.ebuild | 3 +--
 2 files changed, 2 insertions(+), 4 deletions(-)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b099f15458c0284ccc17cf29172a7d22acdeef33

commit b099f15458c0284ccc17cf29172a7d22acdeef33
Author:     Matthew S. Turnbull <sparky@bluefang-logic.com>
AuthorDate: 2021-01-27 04:03:48 +0000
Commit:     Joonas Niilola <juippis@gentoo.org>
CommitDate: 2021-03-01 13:02:44 +0000

    gnome-extra/cinnamon-session: Fix meson script shebangs
    
    Also, xdg_src_prepare is handled by EAPI-7.
    
    Bug: https://bugs.gentoo.org/766935
    Package-Manager: Portage-3.0.13, Repoman-3.0.2
    Signed-off-by: Matthew S. Turnbull <sparky@bluefang-logic.com>
    Signed-off-by: Joonas Niilola <juippis@gentoo.org>

 .../cinnamon-session/cinnamon-session-4.6.2.ebuild        | 15 ++++++++++++---
 .../cinnamon-session/cinnamon-session-4.8.0.ebuild        | 14 +++++++++++---
 2 files changed, 23 insertions(+), 6 deletions(-)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7f7dca13d8c98d4e90d897eb6b1b6dead12b76ae

commit 7f7dca13d8c98d4e90d897eb6b1b6dead12b76ae
Author:     Matthew S. Turnbull <sparky@bluefang-logic.com>
AuthorDate: 2021-01-25 07:30:23 +0000
Commit:     Joonas Niilola <juippis@gentoo.org>
CommitDate: 2021-03-01 13:02:44 +0000

    gnome-extra/cinnamon-screensaver: Fix meson script shebangs
    
    Add missing app-accessibility/caribou dependency.
    Also, xdg_src_prepare is handled by EAPI-7.
    
    Bug: https://bugs.gentoo.org/766935
    Package-Manager: Portage-3.0.13, Repoman-3.0.2
    Signed-off-by: Matthew S. Turnbull <sparky@bluefang-logic.com>
    Signed-off-by: Joonas Niilola <juippis@gentoo.org>

 gnome-extra/cinnamon-screensaver/cinnamon-screensaver-4.6.0.ebuild | 5 +++--
 gnome-extra/cinnamon-screensaver/cinnamon-screensaver-4.8.1.ebuild | 5 +++--
 2 files changed, 6 insertions(+), 4 deletions(-)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3b4b9adf10a07cabab2446b31aca597314763f73

commit 3b4b9adf10a07cabab2446b31aca597314763f73
Author:     Matthew S. Turnbull <sparky@bluefang-logic.com>
AuthorDate: 2021-01-27 03:41:18 +0000
Commit:     Joonas Niilola <juippis@gentoo.org>
CommitDate: 2021-03-01 13:02:44 +0000

    gnome-extra/cjs: Fix meson script shebangs
    
    Bug: https://bugs.gentoo.org/766935
    Package-Manager: Portage-3.0.13, Repoman-3.0.2
    Signed-off-by: Matthew S. Turnbull <sparky@bluefang-logic.com>
    Signed-off-by: Joonas Niilola <juippis@gentoo.org>

 gnome-extra/cjs/cjs-4.8.2.ebuild | 10 +++++++++-
 1 file changed, 9 insertions(+), 1 deletion(-)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5fc24844a2084d667c64b473a1fc403f24cfec83

commit 5fc24844a2084d667c64b473a1fc403f24cfec83
Author:     Matthew S. Turnbull <sparky@bluefang-logic.com>
AuthorDate: 2021-01-27 03:32:22 +0000
Commit:     Joonas Niilola <juippis@gentoo.org>
CommitDate: 2021-03-01 13:02:43 +0000

    x11-libs/xapps: Fix meson script shebangs
    
    Also, xdg_environment_reset is handled by EAPI-7.
    
    Bug: https://bugs.gentoo.org/766935
    Package-Manager: Portage-3.0.13, Repoman-3.0.2
    Signed-off-by: Matthew S. Turnbull <sparky@bluefang-logic.com>
    Signed-off-by: Joonas Niilola <juippis@gentoo.org>

 x11-libs/xapps/xapps-1.8.9.ebuild | 5 ++++-
 x11-libs/xapps/xapps-2.0.6.ebuild | 5 ++++-
 2 files changed, 8 insertions(+), 2 deletions(-)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1077488e0ed1d515008bb6aedf046b36890959c1

commit 1077488e0ed1d515008bb6aedf046b36890959c1
Author:     Matthew S. Turnbull <sparky@bluefang-logic.com>
AuthorDate: 2021-01-27 03:29:11 +0000
Commit:     Joonas Niilola <juippis@gentoo.org>
CommitDate: 2021-03-01 13:02:43 +0000

    gnome-extra/cinnamon-desktop: Fix meson script shebangs
    
    Also, xdg_src_prepare is handled by EAPI-7.
    
    Bug: https://bugs.gentoo.org/766935
    Package-Manager: Portage-3.0.13, Repoman-3.0.2
    Signed-off-by: Matthew S. Turnbull <sparky@bluefang-logic.com>
    Signed-off-by: Joonas Niilola <juippis@gentoo.org>

 gnome-extra/cinnamon-desktop/cinnamon-desktop-4.6.4.ebuild | 7 ++++++-
 gnome-extra/cinnamon-desktop/cinnamon-desktop-4.8.1.ebuild | 7 ++++++-
 2 files changed, 12 insertions(+), 2 deletions(-)
Comment 6 Sam James archtester gentoo-dev Security 2021-06-12 05:41:29 UTC
Okay to close now?